package com.ruoyi.ems.domain;

import com.alibaba.fastjson2.JSONArray;

/**
 * 能源设备对象 adm_ems_device
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsDeviceModel extends EmsDevice {
    private static final long serialVersionUID = 1L;

    private String attrGroup;

    private String attributesArray;

    public String getAttrGroup() {
        return attrGroup;
    }

    public void setAttrGroup(String attrGroup) {
        this.attrGroup = attrGroup;
    }

    public JSONArray getAttrJson() {
        return JSONArray.parse(this.attributesArray);
    }

    public void setAttrJson(String attrJson) {
        this.attributesArray = attrJson;
    }
}
